Liblinphone: linphone::CallStats Class Reference

Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::CallStats Class Reference

This object carry various statistic informations regarding the quality of an audio or video stream for a given Call. More...

`#include <call_stats.hh>`

Inheritance diagram for linphone::CallStats:

## Public Member Functions
| CallStats (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneCallStats * | cPtr ()
LINPHONECXX_PUBLIC float | getDownloadBandwidth () const
| Get the bandwidth measurement of the received stream, expressed in kbit/s, including IP/UDP/RTP headers. More...
LINPHONECXX_PUBLIC float | getEstimatedDownloadBandwidth () const
| Get the estimated bandwidth measurement of the received stream, expressed in kbit/s, including IP/UDP/RTP headers. More...
LINPHONECXX_PUBLIC linphone::IceState | getIceState () const
| Get the state of ICE processing. More...
LINPHONECXX_PUBLIC linphone::AddressFamily | getIpFamilyOfRemote () const
| Get the IP address family of the remote peer. More...
LINPHONECXX_PUBLIC float | getJitterBufferSizeMs () const
| Get the jitter buffer size in ms. More...
LINPHONECXX_PUBLIC uint64_t | getLatePacketsCumulativeNumber () const
| Gets the cumulative number of late packets. More...
LINPHONECXX_PUBLIC float | getLocalLateRate () const
| Gets the local late rate since last report. More...
LINPHONECXX_PUBLIC float | getLocalLossRate () const
| Get the local loss rate since last report. More...
LINPHONECXX_PUBLIC float | getReceiverInterarrivalJitter () const
| Gets the remote reported interarrival jitter. More...
LINPHONECXX_PUBLIC float | getReceiverLossRate () const
| Gets the remote reported loss rate since last report. More...
LINPHONECXX_PUBLIC float | getRoundTripDelay () const
| Get the round trip delay in s. More...
LINPHONECXX_PUBLIC float | getRtcpDownloadBandwidth () const
| Get the bandwidth measurement of the received RTCP, expressed in kbit/s, including IP/UDP/RTP headers. More...
LINPHONECXX_PUBLIC float | getRtcpUploadBandwidth () const
| Get the bandwidth measurement of the sent RTCP, expressed in kbit/s, including IP/UDP/RTP headers. More...
LINPHONECXX_PUBLIC float | getSenderInterarrivalJitter () const
| Gets the local interarrival jitter. More...
LINPHONECXX_PUBLIC float | getSenderLossRate () const
| Get the local loss rate since last report. More...
LINPHONECXX_PUBLIC linphone::StreamType | getType () const
| Get the type of the stream the stats refer to. More...
LINPHONECXX_PUBLIC float | getUploadBandwidth () const
| Get the bandwidth measurement of the sent stream, expressed in kbit/s, including IP/UDP/RTP headers. More...
LINPHONECXX_PUBLIC linphone::UpnpState | getUpnpState () const
| Get the state of uPnP processing. More...

## Detailed Description

This object carry various statistic informations regarding the quality of an audio or video stream for a given Call.

To receive these informations periodically and as soon as they are computed, implement the call_stats_updated() callback inside a LinphoneCoreCbs. At any time, the application can access latest computed statistics using Call::getAudioStats() and Call::getVideoStats().

## Member Function Documentation

## ◆ getDownloadBandwidth()

LINPHONECXX_PUBLIC float linphone::CallStats::getDownloadBandwidth | ( |  | ) | const

Get the bandwidth measurement of the received stream, expressed in kbit/s, including IP/UDP/RTP headers.

Returns
  The bandwidth measurement of the received stream in kbit/s.

## ◆ getEstimatedDownloadBandwidth()

LINPHONECXX_PUBLIC float linphone::CallStats::getEstimatedDownloadBandwidth | ( |  | ) | const

Get the estimated bandwidth measurement of the received stream, expressed in kbit/s, including IP/UDP/RTP headers.

Returns
  The estimated bandwidth measurement of the received stream in kbit/s.

## ◆ getIceState()

LINPHONECXX_PUBLIC linphone::IceState linphone::CallStats::getIceState | ( |  | ) | const

Get the state of ICE processing.

Returns
  The IceState of ICE processing

## ◆ getIpFamilyOfRemote()

LINPHONECXX_PUBLIC linphone::AddressFamily linphone::CallStats::getIpFamilyOfRemote | ( |  | ) | const

Get the IP address family of the remote peer.

Returns
  The IP address family AddressFamily of the remote peer.

## ◆ getJitterBufferSizeMs()

LINPHONECXX_PUBLIC float linphone::CallStats::getJitterBufferSizeMs | ( |  | ) | const

Get the jitter buffer size in ms.

Returns
  The jitter buffer size in ms.

## ◆ getLatePacketsCumulativeNumber()

LINPHONECXX_PUBLIC uint64_t linphone::CallStats::getLatePacketsCumulativeNumber | ( |  | ) | const

Gets the cumulative number of late packets.

Returns
  The cumulative number of late packets

## ◆ getLocalLateRate()

LINPHONECXX_PUBLIC float linphone::CallStats::getLocalLateRate | ( |  | ) | const

Gets the local late rate since last report.

Returns
  The local late rate

## ◆ getLocalLossRate()

LINPHONECXX_PUBLIC float linphone::CallStats::getLocalLossRate | ( |  | ) | const

Get the local loss rate since last report.

Returns
  The local loss rate

## ◆ getReceiverInterarrivalJitter()

LINPHONECXX_PUBLIC float linphone::CallStats::getReceiverInterarrivalJitter | ( |  | ) | const

Gets the remote reported interarrival jitter.

Returns
  The interarrival jitter at last received receiver report

## ◆ getReceiverLossRate()

LINPHONECXX_PUBLIC float linphone::CallStats::getReceiverLossRate | ( |  | ) | const

Gets the remote reported loss rate since last report.

Returns
  The receiver loss rate

## ◆ getRoundTripDelay()

LINPHONECXX_PUBLIC float linphone::CallStats::getRoundTripDelay | ( |  | ) | const

Get the round trip delay in s.

Returns
  The round trip delay in s.

## ◆ getRtcpDownloadBandwidth()

LINPHONECXX_PUBLIC float linphone::CallStats::getRtcpDownloadBandwidth | ( |  | ) | const

Get the bandwidth measurement of the received RTCP, expressed in kbit/s, including IP/UDP/RTP headers.

Returns
  The bandwidth measurement of the received RTCP in kbit/s.

## ◆ getRtcpUploadBandwidth()

LINPHONECXX_PUBLIC float linphone::CallStats::getRtcpUploadBandwidth | ( |  | ) | const

Get the bandwidth measurement of the sent RTCP, expressed in kbit/s, including IP/UDP/RTP headers.

Returns
  The bandwidth measurement of the sent RTCP in kbit/s.

## ◆ getSenderInterarrivalJitter()

LINPHONECXX_PUBLIC float linphone::CallStats::getSenderInterarrivalJitter | ( |  | ) | const

Gets the local interarrival jitter.

Returns
  The interarrival jitter at last emitted sender report

## ◆ getSenderLossRate()

LINPHONECXX_PUBLIC float linphone::CallStats::getSenderLossRate | ( |  | ) | const

Get the local loss rate since last report.

Returns
  The sender loss rate

## ◆ getType()

LINPHONECXX_PUBLIC linphone::StreamType linphone::CallStats::getType | ( |  | ) | const

Get the type of the stream the stats refer to.

Returns
  The StreamType the stats refer to

## ◆ getUploadBandwidth()

LINPHONECXX_PUBLIC float linphone::CallStats::getUploadBandwidth | ( |  | ) | const

Get the bandwidth measurement of the sent stream, expressed in kbit/s, including IP/UDP/RTP headers.

Returns
  The bandwidth measurement of the sent stream in kbit/s.

## ◆ getUpnpState()

LINPHONECXX_PUBLIC linphone::UpnpState linphone::CallStats::getUpnpState | ( |  | ) | const

Get the state of uPnP processing.

Returns
  The UpnpState of uPnP processing.

The documentation for this class was generated from the following file:

- call_stats.hh